// This file is a part of the Framsticks GDK.
// Copyright (C) 1999-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
// Refer to http://www.framsticks.com/ for further information.

#ifndef _GENOOPER_F9_H_
#define _GENOOPER_F9_H_

#include "../oper_fx.h"


class GenoOper_f9 : public GenoOperators
{
public:
	GenoOper_f9();
	int checkValidity(const char *);
	int validate(char *&);
	int mutate(char *&g,float& chg,int &method);
	int crossOver(char *&g1,char *&g2,float& chg1,float& chg2);
	unsigned long style(const char *g, int pos);
	const char* getSimplest() {return "R";}

	double mut_prob; //mutation probability
};

#endif
